diff options
author | marha <marha@users.sourceforge.net> | 2012-06-08 09:33:13 +0200 |
---|---|---|
committer | marha <marha@users.sourceforge.net> | 2012-06-08 09:33:13 +0200 |
commit | 990bc3f015a4f8fce2eb918375defcd44980a845 (patch) | |
tree | 8e8301f19482b52cc00bd95b4593522cc93267af /mesalib/bin/confdiff.sh | |
parent | 1af6fc1b5d93e54d6674de8b5870448b29f139a7 (diff) | |
download | vcxsrv-990bc3f015a4f8fce2eb918375defcd44980a845.tar.gz vcxsrv-990bc3f015a4f8fce2eb918375defcd44980a845.tar.bz2 vcxsrv-990bc3f015a4f8fce2eb918375defcd44980a845.zip |
Used synchronise script to update files
Diffstat (limited to 'mesalib/bin/confdiff.sh')
-rw-r--r-- | mesalib/bin/confdiff.sh | 96 |
1 files changed, 48 insertions, 48 deletions
diff --git a/mesalib/bin/confdiff.sh b/mesalib/bin/confdiff.sh index 43df914f3..568fcd6d5 100644 --- a/mesalib/bin/confdiff.sh +++ b/mesalib/bin/confdiff.sh @@ -1,48 +1,48 @@ -#!/bin/bash -e
-
-usage()
-{
- echo "Usage: $0 <target1> <target2>"
- echo "Highlight differences between Mesa configs"
- echo "Example:"
- echo " $0 linux linux-x86"
-}
-
-die()
-{
- echo "$@" >&2
- return 1
-}
-
-case "$1" in
--h|--help) usage; exit 0;;
-esac
-
-[ $# -lt 2 ] && die 2 targets needed. See $0 --help
-target1=$1
-target2=$2
-
-topdir=$(cd "`dirname $0`"/..; pwd)
-cd "$topdir"
-
-[ -f "./configs/$target1" ] || die Missing configs/$target1
-[ -f "./configs/$target2" ] || die Missing configs/$target2
-
-trap 'rm -f "$t1" "$t2"' 0
-
-t1=$(mktemp)
-t2=$(mktemp)
-
-make -f- -n -p <<EOF | sed '/^# Not a target/,/^$/d' > $t1
-TOP = .
-include \$(TOP)/configs/$target1
-default:
-EOF
-
-make -f- -n -p <<EOF | sed '/^# Not a target/,/^$/d' > $t2
-TOP = .
-include \$(TOP)/configs/$target2
-default:
-EOF
-
-diff -pu -I'^#' $t1 $t2
+#!/bin/bash -e + +usage() +{ + echo "Usage: $0 <target1> <target2>" + echo "Highlight differences between Mesa configs" + echo "Example:" + echo " $0 linux linux-x86" +} + +die() +{ + echo "$@" >&2 + return 1 +} + +case "$1" in +-h|--help) usage; exit 0;; +esac + +[ $# -lt 2 ] && die 2 targets needed. See $0 --help +target1=$1 +target2=$2 + +topdir=$(cd "`dirname $0`"/..; pwd) +cd "$topdir" + +[ -f "./configs/$target1" ] || die Missing configs/$target1 +[ -f "./configs/$target2" ] || die Missing configs/$target2 + +trap 'rm -f "$t1" "$t2"' 0 + +t1=$(mktemp) +t2=$(mktemp) + +make -f- -n -p <<EOF | sed '/^# Not a target/,/^$/d' > $t1 +TOP = . +include \$(TOP)/configs/$target1 +default: +EOF + +make -f- -n -p <<EOF | sed '/^# Not a target/,/^$/d' > $t2 +TOP = . +include \$(TOP)/configs/$target2 +default: +EOF + +diff -pu -I'^#' $t1 $t2 |